package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.AccidentDo;
import com.rongwe.scentity.vo.AccidentVo;
import com.rongwe.scentity.vo.AspAccidentReportVo;
import com.rongwei.rwcommon.base.R;

import java.util.List;
import java.util.Map;


/**
 * 事故表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-07-21 09:33:23
 */
public interface AccidentService extends IService<AccidentDo> {

    R getCode(Map<String, Object> map);

    String getCodeMAx();

    void createHiddenTask(Map<String,Object> map);

    R word(Map<String, Object> map);


    AccidentVo getFilePathById(String fileId);

    List<AccidentVo> getFileList();

    R report();

    List<AspAccidentReportVo> selectReport(Integer year, String tenantId);
}

